<?php
if(is_admin()) {
/*
 * Loads the Options Panel
 *
 * If you're loading from a child theme use stylesheet_directory
 * instead of template_directory
 */
if ( !function_exists( 'optionsframework_init' ) ) {
	define( 'OPTIONS_FRAMEWORK_DIRECTORY', get_template_directory_uri() . '/inc/' );
	require_once dirname( __FILE__ ) . '/inc/options-framework.php';
}
}

/* Loads the theme's translated strings */
load_theme_textdomain('Palmixio');

/* add/enqueue a CSS style file to the wordpress generated page */
add_action( 'admin_init', 'add_my_stylesheet' );
function add_my_stylesheet() {
wp_register_style('my-css', get_template_directory_uri() . '/css/palmixio.css', array(),'','all');
wp_enqueue_style('my-css');
}

/* add/enqueue js file to the wordpress generated page */
add_action('wp_enqueue_scripts', 'add_my_script');
function add_my_script() {
wp_enqueue_script('jquery');
}

if (!isset($content_width)) $content_width = 900;


/* add support thubnail */ 

if ( version_compare( substr($wp_version, 0, 3), '2.9', '>=') ) {
// post image thumbnails, only for Wordpress 2.9 or higher

if ( function_exists( 'add_theme_support' ) ) add_theme_support( 'post-thumbnails' );

add_filter( 'post_thumbnail_html', 'my_post_image_html', 10, 3 );
function my_post_image_html( $html, $post_id, $post_image_id ) {
$html = '<a href="' . get_permalink( $post_id ) . '" title="' . esc_attr( get_post_field( 'post_title', $post_id ) ) . '">' . $html . '</a>';
return $html;
}
}
/* */
function palmixio_enqueue_comment_reply() {
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'palmixio_enqueue_comment_reply' );

$palmixio_Bg = array(
	'default-color' => '',
	'default-image' => get_template_directory_uri(). '/images/background-body.png',
	'wp-head-callback' => '_custom_background_cb',
	'admin-head-callback' => '',
	'admin-preview-callback' => ''
);

global $wp_version;
if ( version_compare( $wp_version, '3.4', '>=' ) ) {
	add_theme_support('custom-background', $palmixio_Bg);
	add_editor_style();
   add_theme_support( 'automatic-feed-links' );
}

/* custom excerpt */
function palmixio_excerpt_length($length) {
$mylength = of_get_option('text_excerpt', 'no entry');
return $mylength;
}

add_filter('excerpt_length', 'palmixio_excerpt_length', 999);

function palmixio_excerpt_more($more) {
       global $post;
	return ' <a class="more-link" title="'. get_the_title() .'" href="'. get_permalink($post->ID) . '">' . '&raquo; read more.' . '</a>';
}
add_filter('excerpt_more', 'palmixio_excerpt_more');
/* end custom excerpt */

/* custom gravatar */
add_filter( 'avatar_defaults', 'palmixio_addgravatar' );
function palmixio_addgravatar( $avatar_defaults ) {
$myavatar = get_get_template_directory_uri() . '/images/gravatar.png';
$avatar_defaults[$myavatar] = 'palmixio';
return $avatar_defaults;
}
/* end gravatar */

if (!function_exists('palmixio_comment')) :
function palmixio_comment($comment, $args, $depth) {
$GLOBALS['comment'] = $comment; ?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>" >
<div id="comment-<?php comment_ID(); ?>">
<div class="comment-author vcard">
<?php echo get_avatar($comment,$size='48'); ?>
<?php printf(__('<cite class="fn">%s</cite> <span class="says">says:</span>', 'Palmixio'), get_comment_author_link()) ?>
</div>
<?php if ($comment->comment_approved == '0') : ?>
<em>
<?php _e('Your comment is awaiting moderation.','Palmixio') ?>
</em> <br />
<?php endif; ?>
<div class="comment-meta commentmetadata">
<a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>">
<?php printf(__('%1$s at %2$s', 'Palmixio'), get_comment_date(),get_comment_time()) ?></a>
<?php edit_comment_link(__('(Edit)', 'Palmixio'),'','') ?>
</div>
<?php comment_text(); ?>
<div class="reply">
<?php comment_reply_link( array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
</div>
</div>
<?php
}
endif;

// begin widget setting
if ( function_exists('register_sidebars') )
register_sidebar( array(
		'name' => 'Sidebar Area',
	   'before_widget' => '<div id="%1$s" class="backgroundlist %2$s"><div class="listtitle">',
      'after_widget' => '</div></div>',
      'before_title' => '<h2>',
      'after_title' => '</h2></div><div class="contentbox">'
      ));
register_sidebar( array(
		'name' => 'Footer Area',
	   'before_widget' => '<div id="%1$s" class="backgroundlist %2$s"><div class="listtitle">',
      'after_widget' => '</div></div>',
      'before_title' => '<h2>',
      'after_title' => '</h2></div><div class="contentbox">'
      ));
// close widget setting
?>
